#!/bin/bash
######################################################################
## HDD log collection shell script
##
## 2008/06/23 Rev.0 T.HAYASHI
## 2012/02/27 Rev.1 Eitaro.Noguchi  Update storelib (3.71-0)
## 2012/04/04 Rev.2 Eitaro.Noguchi  Use storelib (2.24-0)
######################################################################

HIKISU=""
OS_TYPE=""
COMMAND=""

while [ $1 ]; do
	HIKISU="${HIKISU} ${1}"
	shift
done

CLIVER=
#CLIVER="_8.00.40"
#FLDS=(`uname -r | tr '.-' '  '`)
#KVER=`printf "%04d%04d%04d%04d" ${FLDS[0]} ${FLDS[1]} ${FLDS[2]} ${FLDS[3]}`
#if [ "${KVER}" -le "0002000600180164" ]; then
#	CLIVER="_2.00.08"
#fi

OS_TYPE=$(uname -m)
if [ $OS_TYPE == "x86_64" ]; then
	#x64
	cd DiskLogx64
	COMMAND="./S717461020"
	COMMAND="${COMMAND} ${HIKISU} -c MegaCli64${CLIVER} -l libstorelib.so.2.52-0"
else
	#x86
	cd DiskLogx86
	#if grep "release [45]" /etc/redhat-release > /dev/null
	#then
		COMMAND="./S717460020 ${HIKISU} -c MegaCli${CLIVER} -l libstorelib.so.2.24-0"
	#else
	#	COMMAND="./S717460020 ${HIKISU} -c MegaCli${CLIVER} -l libstorelib.so.3.64-0"
	#fi
fi

echo "COMMAND: ${COMMAND}"
echo
$COMMAND
cd - &> /dev/null
