#!/bin/sh
if [ -e /proc/scsi/hfcldd ]; then
	for DEVFILE in `ls /proc/scsi/hfcldd/*`;  do
		HFCLDD_SPC=`grep "Special file name" $DEVFILE | cut -d= -f2 | sed -e "s/ //g"`
		HFCLDD_DID=`grep "Device ID" $DEVFILE | cut -d= -f2 | sed -e "s/ //g"`
		if [ "${HFCLDD_DID}" = "3020" -a -n "${HFCLDD_SPC}" ]; then
			/opt/hitachi/drivers/hba/dddump ${HFCLDD_SPC} ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
		elif [ "${HFCLDD_DID}" = "3070" -a -n "${HFCLDD_SPC}" ]; then
			/opt/hitachi/drivers/hba/dddump_fx ${HFCLDD_SPC} ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
		else
			echo "Unsupport(DEV_ID:${HFCLDD_DID})" > ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
		fi
	done
else
	for HOSTS in `ls /sys/class/scsi_host/`; do
		if [ -n "` ls /sys/class/scsi_host/${HOSTS}/ | grep hfcldd_proc`" ]; then
			HFCLDD_SPC=`grep "Special file name" /sys/class/scsi_host/${HOSTS}/hfcldd_proc | cut -d= -f2 | sed -e "s/ //g"`
			HFCLDD_DID=`grep "Device ID" /sys/class/scsi_host/${HOSTS}/hfcldd_proc | cut -d= -f2 | sed -e "s/ //g"`
			if [ "${HFCLDD_DID}" = "3020" -a -n "${HFCLDD_SPC}" ]; then
				/opt/hitachi/drivers/hba/dddump ${HFCLDD_SPC} ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
			elif [ "${HFCLDD_DID}" = "3070" -a -n "${HFCLDD_SPC}" ]; then
				/opt/hitachi/drivers/hba/dddump_fx ${HFCLDD_SPC} ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
			else
				echo "Unsupport(DEV_ID:${HFCLDD_DID})" > ${LOG_SAVE_DIR}/HFCDD_${HFCLDD_SPC#hfcldd}.txt
			fi
		fi
	done
fi
